# VIDO -  Video/Audio Downloader
### version 1.1.x ###
**Vido** is a simple python3, pygobjects and GTK+ based gui created for the command-line program youtube-dl. It helps you manage the video downloads better. Its an upgraded version of the popular ytd-gtk, brought to you by the same team.

##Installation##

###Prerequisites###
You need python 3, python-gobject & youtube-dl installed. You need python3 & python-gobject for the gui to function. Most linux distros will have python3 & python-gobject installed out of the box if you are using a desktop environment like Gnome, KDE, Mate, XFCE etc. For systems with lightweight WMs you can install it using the following commands.
Arch `sudo pacman -S python-gobject gtk3`
Debian `sudo apt install python3-gi gir1.2-gtk-3.0`
Fedora `sudo dnf install python3-gobject gtk3`
Opensuse `sudo zypper install python3-gobject gtk3`

Ffmpeg is a recommended dependency which will help in downloading and merging video & audio tracks, if available separately on a URL. Ffmpeg is available in most linux distro repositories. **youtube-dl** is another prerequisite for vido, if not already installed on your system, install.sh will download and install it.

###Downloading vido###
 You can download vido either from the download section or get it using git. The downloaded version also contains a preconfigured .git directory to enable easy updates. If using a version from download. Unzip the contents in the directory where you would like to keep vido.

To download using git, open terminal, change to the directory where you would like to keep vido and git clone
`git clone https://git.code.sf.net/p/vido/code vido`

###Installing Vido###
To install vido open terminal in the vido directory and run  `./install.sh`
This will look for any installed version of youtube-dl, if not present or faulty, will download it & create a vido menu entry. You might need to refresh menu or logout and log in depending upon the Desktop Environment in use.

###Troubleshooting###

If vido fails to start the download kindly run install.sh. Also verify youtube-dl installation, if not installed by installer, by issuing the command:
`youtube-dl --version` If it shows you the version (last modification date), then your installation has succeeded.
If vido fails to download from any site like youtube/vimeo/dailymotion etc kindly update youtube-dl.

###Updating Vido###
Vido can be easily updated by changing to the vido directory & running `git pull`

For any issues, kindly create a ticket and we will get back to you.  Your feedback & encouragement helps us improve this software.

###Wiki###
Our wiki, though currently limited, should prove helpful with installation, troubleshooting and general use of the program. Visit the wiki at https://sourceforge.net/p/vido/wiki/
